curl --location --request POST 'https://api.explo.co/api/partners/connect' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"email": "[email protected]",
"team_name": "Customer Team",
"connection_info": "{\"@type\": \"database_type\", \"configuration\": {}}"
}'
{
"success": 1
}
Partners API
Connect to Explo
POST
/
api
/
partners
/
connect
curl --location --request POST 'https://api.explo.co/api/partners/connect' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"email": "[email protected]",
"team_name": "Customer Team",
"connection_info": "{\"@type\": \"database_type\", \"configuration\": {}}"
}'
{
"success": 1
}
Body
The email of your user. When the team is created, they’ll get an email
inviting them to Explo.
A JSON representing credentials that Explo will use to create the data source
for the new team. For typings corresponding to your database, reach out to
Explo Support.
Response
curl --location --request POST 'https://api.explo.co/api/partners/connect' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"email": "[email protected]",
"team_name": "Customer Team",
"connection_info": "{\"@type\": \"database_type\", \"configuration\": {}}"
}'
{
"success": 1
}